GNU bug report logs - #24235
25.1.50; `describe-bindings' request: show `??' definitions

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Drew Adams <drew.adams@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 24235 <at> debbugs.gnu.org:


Received: (at 24235) by debbugs.gnu.org; 6 Nov 2021 19:10:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 06 15:10:40 2021
Received: from localhost ([127.0.0.1]:50706 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjR5M-0003r8-8g
	for submit <at> debbugs.gnu.org; Sat, 06 Nov 2021 15:10:40 -0400
Received: from relay11.mail.gandi.net ([217.70.178.231]:56653)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mjR5L-0003qZ-5m
 for 24235 <at> debbugs.gnu.org; Sat, 06 Nov 2021 15:10:39 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id 9F0F9100005;
 Sat,  6 Nov 2021 19:10:31 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#24235: 25.1.50; `describe-bindings' request: show `??'
 definitions
Organization: LINKOV.NET
References: <e34fd448-530b-4767-9469-b84309cd89cc@default>
 <87sfwelh2n.fsf@HIDDEN>
Date: Sat, 06 Nov 2021 20:58:09 +0200
In-Reply-To: <87sfwelh2n.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 02 Nov 2021 16:20:48 +0100")
Message-ID: <86a6ih3yc6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24235
Cc: Drew Adams <drew.adams@HIDDEN>, 24235 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> Please turn the `??' occurrences into links that when clicked show the
>> source code for the key's binding, when available.  If it is
>> byte-compiled, and the uncompiled code is unknown, show the byte code,
>> but with control chars filtered out (so somewhat human-readable).
>
> This is now fixed in Emacs 29.

One minor problem is that [closure] and [lambda] buttons
have no 'help-echo' and no 'mouse-face' with 'highlight'
like other buttons in 'C-h b'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24235; Package emacs. Full text available.
bug marked as fixed in version 29.1, send any further explanations to 24235 <at> debbugs.gnu.org and Drew Adams <drew.adams@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24235 <at> debbugs.gnu.org:


Received: (at 24235) by debbugs.gnu.org; 2 Nov 2021 15:21:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 02 11:21:13 2021
Received: from localhost ([127.0.0.1]:37825 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mhvau-00066V-0Q
	for submit <at> debbugs.gnu.org; Tue, 02 Nov 2021 11:21:13 -0400
Received: from quimby.gnus.org ([95.216.78.240]:34824)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mhvas-00066I-NV
 for 24235 <at> debbugs.gnu.org; Tue, 02 Nov 2021 11:20:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=2GmQ4RVdAnBMyaXShDCJ4a+0NfYGhqjOfxBt6GbHaRA=; b=XbKQGB/7J3kylW8I93X1eZZvKh
 h4EtYceO4fWaoVFjLijAONazMFAFZNI/Q4RCiCI8LEN155qkn989w1kpZNiTsjsb4sgwQ87VrEnzw
 1eNylZLeX+GFpMSifGM6+Lk8ON5BzCnlceP52mYMLM4qUdQQij2YqE5rwBYmbfPw0chE=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mhvaj-0007u1-Do; Tue, 02 Nov 2021 16:20:52 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#24235: 25.1.50; `describe-bindings' request: show `??'
 definitions
References: <e34fd448-530b-4767-9469-b84309cd89cc@default>
X-Now-Playing: Nona Hendryx's _Nona_: "Living On The Border"
Date: Tue, 02 Nov 2021 16:20:48 +0100
In-Reply-To: <e34fd448-530b-4767-9469-b84309cd89cc@default> (Drew Adams's
 message of "Mon, 15 Aug 2016 10:12:43 -0700 (PDT)")
Message-ID: <87sfwelh2n.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Drew Adams <drew.adams@HIDDEN> writes: > Please turn the
 `??' occurrences into links that when clicked show the > source code for
 the key's binding, when available. If it is > byte-compiled, and the uncompiled
 code is unknown, show the byt [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 24235
Cc: 24235 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Drew Adams <drew.adams@HIDDEN> writes:

> Please turn the `??' occurrences into links that when clicked show the
> source code for the key's binding, when available.  If it is
> byte-compiled, and the uncompiled code is unknown, show the byte code,
> but with control chars filtered out (so somewhat human-readable).

This is now fixed in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24235; Package emacs. Full text available.

Message received at 24235 <at> debbugs.gnu.org:


Received: (at 24235) by debbugs.gnu.org; 27 Jul 2019 17:18:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 27 13:18:54 2019
Received: from localhost ([127.0.0.1]:45371 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hrQLN-0006Oz-OJ
	for submit <at> debbugs.gnu.org; Sat, 27 Jul 2019 13:18:54 -0400
Received: from userp2130.oracle.com ([156.151.31.86]:51248)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hrQLG-0006OS-2M
 for 24235 <at> debbugs.gnu.org; Sat, 27 Jul 2019 13:18:46 -0400
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6RHE3L8023245;
 Sat, 27 Jul 2019 17:18:40 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=/R/HRb+EkPCSmivpLC4crZd18zSPNkGGSBaL49sCIPs=;
 b=gY+72QG+NheWQ2k7KSMTrw1N2RMK4z72Qwk0NiphiKvp9B9W7U1UcFa1fGQtF2Qbh9vV
 yQjn9/eyZeB1I4tVy5zeC2IBjx72jKv2m+fw355vcHwbo23+QsKt2kWAohCyrgbQCeQp
 EF0HO+VzLHSokOaWG2YuZccKGOswWT7QOqBR1Gh9q7/1oPbGp7+vuNRNJ6FcJPMCNiU1
 G+lXq3z3pVsChI01Goj8zZeaT3b5RCs/rfaT1MUiMqp/z5iQEaiUiOO/+BoJ1WqercnI
 X9i295ovsZ0R/Plb8tLntrhmuRvk5HX/FrJKy+sN7tgMpdSCMjMbUqq7t8tPdxC7jL9Q LQ== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by userp2130.oracle.com with ESMTP id 2u0e1t9s4k-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 27 Jul 2019 17:18:40 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6RHIILt123105;
 Sat, 27 Jul 2019 17:18:39 GMT
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by aserp3020.oracle.com with ESMTP id 2u0ee305fk-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 27 Jul 2019 17:18:39 +0000
Received: from abhmp0012.oracle.com (abhmp0012.oracle.com [141.146.116.18])
 by userv0121.oracle.com (8.14.4/8.13.8) with ESMTP id x6RHIbun032498;
 Sat, 27 Jul 2019 17:18:38 GMT
MIME-Version: 1.0
Message-ID: <701f2b99-dbfd-42f4-b8e4-ee6ab068234f@default>
Date: Sat, 27 Jul 2019 10:18:36 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: bug#24235: 25.1.50; `describe-bindings' request: show `??'
 definitions
References: <e34fd448-530b-4767-9469-b84309cd89cc@default>
 <877e83fr8i.fsf@HIDDEN>
In-Reply-To: <877e83fr8i.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4873.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9331
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=999
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1906280000 definitions=main-1907270218
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9331
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1011
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1906280000
 definitions=main-1907270217
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 24235
Cc: 24235 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> The calling sequence for this command is slightly convoluted, but it
> turns out that help.el calls basically
>   (describe-buffer-bindings buffer nil nil)
> which is a C function (but why?) which inserts all the
>=20
> C-n=09=09next-line
> C-o=09=09open-line
> C-H-w=09=09??
>=20
> stuff, which is then post-processed to add the xref links.  So at the
> point where the xref is added, then there's no feasible way to
> determine what the ?? referred to, really, without redoing the work the C
> function had already done...
>=20
> I think.
>=20
> Anybody?

I don't have a solution suggestion.  But maybe
a start would be to move this from C to Lisp?
(Just a suggestion.  Dunno whether there's a
good reason why it's still in C.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24235; Package emacs. Full text available.

Message received at 24235 <at> debbugs.gnu.org:


Received: (at 24235) by debbugs.gnu.org; 27 Jul 2019 15:10:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 27 11:10:27 2019
Received: from localhost ([127.0.0.1]:45189 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hrOL5-0003pX-Ev
	for submit <at> debbugs.gnu.org; Sat, 27 Jul 2019 11:10:27 -0400
Received: from quimby.gnus.org ([80.91.231.51]:40376)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hrOL4-0003pP-4h
 for 24235 <at> debbugs.gnu.org; Sat, 27 Jul 2019 11:10:26 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1hrOL0-0001zx-Av; Sat, 27 Jul 2019 17:10:24 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#24235: 25.1.50; `describe-bindings' request: show `??'
 definitions
References: <e34fd448-530b-4767-9469-b84309cd89cc@default>
Date: Sat, 27 Jul 2019 17:10:21 +0200
In-Reply-To: <e34fd448-530b-4767-9469-b84309cd89cc@default> (Drew Adams's
 message of "Mon, 15 Aug 2016 10:12:43 -0700 (PDT)")
Message-ID: <877e83fr8i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Drew Adams <drew.adams@HIDDEN> writes: > Enhancement
 request.
 Keys shown by `describe-bindings' and similar > (including
 `substitute-command-keys'
 for \{...}) currently show `??' as > their binding if the binding is not
 a command symbol. > [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 24235
Cc: 24235 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Drew Adams <drew.adams@HIDDEN> writes:

> Enhancement request.  Keys shown by `describe-bindings' and similar
> (including `substitute-command-keys' for \{...}) currently show `??' as
> their binding if the binding is not a command symbol.
>
> Please turn the `??' occurrences into links that when clicked show the
> source code for the key's binding, when available.  If it is
> byte-compiled, and the uncompiled code is unknown, show the byte code,
> but with control chars filtered out (so somewhat human-readable).
>
> This lets users see what is behind the `??', giving them a somewhat
> better idea what the key does.

The calling sequence for this command is slightly convoluted, but it
turns out that help.el calls basically

  (describe-buffer-bindings buffer nil nil)

which is a C function (but why?) which inserts all the

C-n		next-line
C-o		open-line
C-H-w		??

stuff, which is then post-processed to add the xref links.  So at the
point where the xref is added, then there's no feasible way to determine
what the ?? referred to, really, without redoing the work the C function
had already done...

I think.

Anybody?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24235; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Aug 2016 17:13:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 15 13:13:03 2016
Received: from localhost ([127.0.0.1]:58500 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bZLRf-00017o-8L
	for submit <at> debbugs.gnu.org; Mon, 15 Aug 2016 13:13:03 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51502)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1bZLRd-00017K-Bc
 for submit <at> debbugs.gnu.org; Mon, 15 Aug 2016 13:13:01 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1bZLRX-000713-AA
 for submit <at> debbugs.gnu.org; Mon, 15 Aug 2016 13:12:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.8 required=5.0 tests=BAYES_50,XPRIO
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:46010)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1bZLRX-00070y-6f
 for submit <at> debbugs.gnu.org; Mon, 15 Aug 2016 13:12:55 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:42456)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1bZLRW-0000X8-0o
 for bug-gnu-emacs@HIDDEN; Mon, 15 Aug 2016 13:12:54 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1bZLRR-0006z2-S7
 for bug-gnu-emacs@HIDDEN; Mon, 15 Aug 2016 13:12:53 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:26901)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1bZLRR-0006yY-KT
 for bug-gnu-emacs@HIDDEN; Mon, 15 Aug 2016 13:12:49 -0400
Received: from userv0021.oracle.com (userv0021.oracle.com [156.151.31.71])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u7FHCkg7029746
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Mon, 15 Aug 2016 17:12:46 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by userv0021.oracle.com (8.13.8/8.13.8) with ESMTP id u7FHCjFB011089
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Mon, 15 Aug 2016 17:12:45 GMT
Received: from abhmp0002.oracle.com (abhmp0002.oracle.com [141.146.116.8])
 by aserv0122.oracle.com (8.14.4/8.14.4) with ESMTP id u7FHCjSq029521
 for <bug-gnu-emacs@HIDDEN>; Mon, 15 Aug 2016 17:12:45 GMT
MIME-Version: 1.0
Message-ID: <e34fd448-530b-4767-9469-b84309cd89cc@default>
Date: Mon, 15 Aug 2016 10:12:43 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.1.50; `describe-bindings' request: show `??' definitions
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6753.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0021.oracle.com [156.151.31.71]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Enhancement request.  Keys shown by `describe-bindings' and similar
(including `substitute-command-keys' for \{...}) currently show `??' as
their binding if the binding is not a command symbol.

Please turn the `??' occurrences into links that when clicked show the
source code for the key's binding, when available.  If it is
byte-compiled, and the uncompiled code is unknown, show the byte code,
but with control chars filtered out (so somewhat human-readable).

This lets users see what is behind the `??', giving them a somewhat
better idea what the key does.

In GNU Emacs 25.1.50.1 (i686-pc-mingw32)
 of 2015-12-10
Repository revision: 6148555ee5a3d0139ae517803718b3e0357933c7
Windowing system distributor 'Microsoft Corp.', version 6.1.7601
Configured using:
 'configure --prefix=3D/c/Devel/emacs/snapshot/trunk --enable-checking=3Dye=
s
 --enable-check-lisp-object-type --without-compress-install 'CFLAGS=3D-Og
 -ggdb3' LDFLAGS=3D-Lc:/Devel/emacs/lib 'CPPFLAGS=3D-DGC_MCHECK=3D1
 -Ic:/Devel/emacs/include''




Acknowledgement sent to Drew Adams <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24235; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 6 Nov 2021 19:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.